FOREIGN_PNM_READ2(3)

EXPERIMENTAL_FUNC
foreign_pnm_read2 - Read a PNM file.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_pnm_read2

(CONST char *filename, unsigned int mmap_option, flag writable)

DESCRIPTION
Read a PNM file.

channel
    The channel to read from.

mmap_option
    This has the same meaning as for the <dsxfr_get_multi> routine.

writable
    This has the same meaning as for the <dsxfr_get_multi> routine.

RETURN VALUE
A pointer to the multi_array data structure on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/